###############################################################################
#
#    External Jobs, for Odoo
#    Copyright © 2022, 2024 XCG Consulting (https://www.xcg-consulting.fr/)
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
###############################################################################
from ._common import ExtrunnerTest


class Test(ExtrunnerTest):
    """Tests for external_job.jobrunner"""

    def test_run_job(self):
        """Test the run_job in the wizard"""
        jobrunners = self.env["external_job.jobrunner"].create(
            [
                {
                    "job_definition_id": self.job_definition.id,
                }
            ]
        )
        jobrunners.run_job()
