##############################################################################
#
#    External Jobs, for Odoo
#    Copyright © 2013, 2019, 2020, 2022-2024 XCG Consulting
#                                               (https://xcg-consulting.fr)
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################
{
    "name": "External Jobs",
    "version": "17.0.3.0.0",
    "license": "AGPL-3",
    "author": "XCG Consulting",
    "category": "Tools",
    "summary": "Run jobs outside of the Odoo realm/processes.",
    "website": "https://orbeet.io/",
    "depends": ["base"],
    "data": [
        "security/ir.model.access.csv",
        "security/ir.rule.xml",
        "wizards/jobrunner.xml",
        "views/extrunner_server.xml",
        "views/job_definition.xml",
        "views/job_log.xml",
        "views/env_var.xml",
        "views/menu.xml",
    ],
    "installable": True,
}
